//*******************************************************************************************
// Valuta.java
// 
// INF100, ving 5, oppgave 4.2 
//*******************************************************************************************

/** Klassen Valuta brukes til  kovertere mellom norske kroner og andre valutaer.
 */

public class Valuta {
  
    /** Navnet p valutaen */
    String navn;
  
    /** Angir hvor mye i norske kroner en enhet av denne valuta tilsvarer */
    double kurs;

    /** Konstruktren oppretter et valuta-objekt med oppgitt
     *  navn og kurs */
    public Valuta(String navn, double kurs) {
	this.navn = navn;
        this.kurs = kurs;
    }

    /** Returnerer navnet p valutaen */
    public String hentNavn(){
	return navn;
    }

    /** Returnerer kursen i forhold til norske kroner */
    public double hentKurs(){
        return kurs;
    }
    
    /** Konverterer det oppgitte belp av denne valuta til
     * norske kroner */
    public double konverterTilNkr(double belp){
        return kurs*belp;
    }
   
    /** Konverterer det oppgitte belp av norske kroner til
     *  denne valuta */
    public double konverterFraNkr(double belp){
        return belp/kurs;
    }
}
